> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/developer/integrate/openapi/data-set.md).

# Data Set

dataSet

## DataSet Select folder

> Select Folder for DataSet

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"dataSet","description":"dataSet"}],"servers":[{"url":"/api"}],"paths":{"/dataset/{id}/selectfolder":{"put":{"tags":["dataSet"],"summary":"DataSet Select folder","description":"Select Folder for DataSet","operationId":"dataSetSelectFolder","parameters":[{"name":"id","in":"path","description":"The DataSet ID","required":true,"schema":{"type":"integer"}}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"required":["folderId"],"properties":{"folderId":{"description":"Folder ID to which this object should be assigned to","type":"integer"}},"type":"object"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataSet"}}}}}}}},"components":{"schemas":{"DataSet":{"description":"Class DataSet","properties":{"dataSetId":{"description":"The dataSetId","type":"integer"},"dataSet":{"description":"The dataSet Name","type":"string"},"description":{"description":"The dataSet description","type":"string"},"userId":{"description":"The userId of the User that owns this DataSet","type":"integer"},"lastDataEdit":{"description":"Timestamp indicating the date/time this DataSet was edited last","type":"integer"},"owner":{"description":"The user name of the User that owns this DataSet","type":"string"},"groupsWithPermissions":{"description":"A comma separated list of Groups/Users that have permission to this DataSet","type":"string"},"groupsWithPermissionsList":{"description":"An array of Groups/Users that have permission to this DataSet","type":"array","items":{"type":"string"}},"code":{"description":"A code for this Data Set","type":"string"},"isLookup":{"description":"Flag to indicate whether this DataSet is a lookup table","type":"integer"},"isRemote":{"description":"Flag to indicate whether this DataSet is Remote","type":"integer"},"isRealTime":{"description":"Flag to indicate whether this DataSet is Real time","type":"integer"},"dataConnectorSource":{"description":"Indicates the source of the data connector. Requires the Real time flag. Can be null, user-defined, or a connector.","type":"string"},"method":{"description":"Method to fetch the Data, can be GET or POST","type":"string"},"uri":{"description":"URI to call to fetch Data from. Replacements are {{DATE}}, {{TIME}} and, in case this is a sequencial used DataSet, {{COL.NAME}} where NAME is a ColumnName from the underlying DataSet.","type":"string"},"postData":{"description":"Data to send as POST-Data to the remote host with the same Replacements as in the URI.","type":"string"},"authentication":{"description":"Authentication method, can be none, digest, basic","type":"string"},"username":{"description":"Username to authenticate with","type":"string"},"password":{"description":"Corresponding password","type":"string"},"customHeaders":{"description":"Comma separated string of custom HTTP headers","type":"string"},"userAgent":{"description":"Custom User agent","type":"string"},"refreshRate":{"description":"Time in seconds this DataSet should fetch new Datas from the remote host","type":"integer"},"clearRate":{"description":"Time in seconds when this Dataset should be cleared. If here is a lower value than in RefreshRate it will be cleared when the data is refreshed","type":"integer"},"truncateOnEmpty":{"description":"Flag whether to truncate DataSet data if no new data is pulled from remote source","type":"integer"},"runsAfter":{"description":"DataSetID of the DataSet which should be fetched and present before the Data from this DataSet are fetched","type":"integer"},"lastSync":{"description":"Last Synchronisation Timestamp","type":"integer"},"lastClear":{"description":"Last Clear Timestamp","type":"integer"},"dataRoot":{"description":"Root-Element form JSON where the data are stored in","type":"string"},"summarize":{"description":"Optional function to use for summarize or count unique fields in a remote request","type":"string"},"summarizeField":{"description":"JSON-Element below the Root-Element on which the consolidation should be applied on","type":"string"},"sourceId":{"description":"The source id for remote dataSet, 1 - JSON, 2 - CSV","type":"integer"},"ignoreFirstRow":{"description":"A flag whether to ignore the first row, for CSV source remote dataSet","type":"integer"},"rowLimit":{"description":"Soft limit on number of rows per DataSet, if left empty the global DataSet row limit will be used.","type":"integer"},"limitPolicy":{"description":"Type of action that should be taken on next remote DataSet sync - stop, fifo or truncate","type":"string"},"csvSeparator":{"description":"Custom separator for CSV source, comma will be used by default","type":"string"},"folderId":{"description":"The id of the Folder this DataSet belongs to","type":"integer"},"permissionsFolderId":{"description":"The id of the Folder responsible for providing permissions for this DataSet","type":"integer"}},"type":"object"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/developer/integrate/openapi/data-set.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
